Contributing
============

Master copy of this project is hosted on GitHub:
<tbd>

Anyone may contribute to the Dependable Boot project.
Contributions are licensed under CC-BY-SA-4.0_ and must be made with a
Developer Certificate of Origin (DCO_) attestation as described below.

Dependable Boot discussion uses the boot-architecture_ mailing list.

* boot-architecture@lists.linaro.org

Past discussions can be found in the boot-architecture-archive_.

DCO Attestation
---------------

To help track the origin of contributions, this project uses the same
DCO_ "sign-off" process as used by the Linux kernel.
The sign-off is a simple line at the end of the explanation for the
patch, which certifies that you wrote it or otherwise have the right to
pass it on as an open-source patch.
The rules are pretty simple, if you can certify the below:

Developer's Certificate of Origin 1.1
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

By making a contribution to this project, I certify that:

        (a) The contribution was created in whole or in part by me and I
            have the right to submit it under the open source license
            indicated in the file; or

        (b) The contribution is based upon previous work that, to the best
            of my knowledge, is covered under an appropriate open source
            license and I have the right under that license to submit that
            work with modifications, whether created in whole or in part
            by me, under the same open source license (unless I am
            permitted to submit under a different license), as indicated
            in the file; or

        (c) The contribution was provided directly to me by some other
            person who certified (a), (b) or (c) and I have not modified
            it.

        (d) I understand and agree that this project and the contribution
            are public and that a record of the contribution (including all
            personal information I submit with it, including my sign-off) is
            maintained indefinitely and may be redistributed consistent with
            this project or the open source license(s) involved.

then you just add a line saying::

        Signed-off-by: Random J Developer <random@developer.example.org>

.. _CC-BY-SA-4.0: LICENSE
.. _DCO: https://developercertificate.org/
.. _boot-architecture: https://lists.linaro.org/mailman/listinfo/boot-architecture
.. _boot-architecture-archive: https://lists.linaro.org/pipermail/boot-architecture

